Browse Source

Sync with portage [Thu Feb 4 10:16:17 MSK 2021].

master 1870
Calculate Linux 1 year ago
parent
commit
90263eaa76
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 2
      app-admin/eselect/eselect-1.4.17.ebuild
  4. 4
      app-admin/sshguard/sshguard-2.4.1.ebuild
  5. BIN
      app-crypt/Manifest.gz
  6. 2
      app-crypt/acme/Manifest
  7. 2
      app-crypt/acme/acme-1.11.0.ebuild
  8. 12
      app-crypt/acme/acme-1.12.0.ebuild
  9. 6
      app-crypt/acme/acme-9999.ebuild
  10. 2
      app-crypt/certbot-apache/Manifest
  11. 2
      app-crypt/certbot-apache/certbot-apache-1.11.0.ebuild
  12. 6
      app-crypt/certbot-apache/certbot-apache-1.12.0.ebuild
  13. 2
      app-crypt/certbot-nginx/Manifest
  14. 2
      app-crypt/certbot-nginx/certbot-nginx-1.11.0.ebuild
  15. 10
      app-crypt/certbot-nginx/certbot-nginx-1.12.0.ebuild
  16. 4
      app-crypt/certbot-nginx/certbot-nginx-9999.ebuild
  17. 2
      app-crypt/certbot/Manifest
  18. 2
      app-crypt/certbot/certbot-1.11.0.ebuild
  19. 10
      app-crypt/certbot/certbot-1.12.0.ebuild
  20. 4
      app-crypt/certbot/certbot-9999.ebuild
  21. 3
      app-crypt/ubuntu-keyring/Manifest
  22. 20
      app-crypt/ubuntu-keyring/ubuntu-keyring-2018.02.28.ebuild
  23. 9
      app-crypt/ubuntu-keyring/ubuntu-keyring-2020.06.17.1.ebuild
  24. BIN
      app-emacs/Manifest.gz
  25. 1
      app-emacs/nxml-gentoo-schemas/Manifest
  26. 24
      app-emacs/nxml-gentoo-schemas/nxml-gentoo-schemas-20210203.ebuild
  27. BIN
      app-misc/Manifest.gz
  28. 1
      app-misc/ckb/Manifest
  29. 58
      app-misc/ckb/ckb-0.4.3.ebuild
  30. 1
      app-misc/pax-utils/Manifest
  31. 78
      app-misc/pax-utils/pax-utils-1.2.9.ebuild
  32. 1
      app-misc/radeontop/Manifest
  33. 54
      app-misc/radeontop/radeontop-1.3.ebuild
  34. 7
      app-misc/tmuxp/Manifest
  35. 11
      app-misc/tmuxp/files/tmuxp-1.7.2-tests.patch
  36. 39
      app-misc/tmuxp/tmuxp-1.5.5.ebuild
  37. 41
      app-misc/tmuxp/tmuxp-1.5.6.ebuild
  38. 41
      app-misc/tmuxp/tmuxp-1.6.2.ebuild
  39. 0
      app-misc/tmuxp/tmuxp-1.6.5.ebuild
  40. 2
      app-misc/tmuxp/tmuxp-1.7.2.ebuild
  41. BIN
      app-text/Manifest.gz
  42. 2
      app-text/manpager/manpager-1.ebuild
  43. 1
      app-text/poppler/Manifest
  44. 122
      app-text/poppler/poppler-20.12.1.ebuild
  45. BIN
      dev-db/Manifest.gz
  46. 2
      dev-db/myodbc/myodbc-8.0.23.ebuild
  47. 2
      dev-db/mysql-connector-c++/mysql-connector-c++-8.0.23.ebuild
  48. 2
      dev-db/mysql/mysql-5.7.33.ebuild
  49. 2
      dev-db/mysql/mysql-8.0.23.ebuild
  50. BIN
      dev-lang/Manifest.gz
  51. 3
      dev-lang/python/Manifest
  52. 353
      dev-lang/python/python-3.10.0_alpha5.ebuild
  53. BIN
      dev-libs/Manifest.gz
  54. 2
      dev-libs/libpipeline/libpipeline-1.5.3.ebuild
  55. 2
      dev-libs/xmlsec/xmlsec-1.2.31.ebuild
  56. BIN
      dev-ml/Manifest.gz
  57. 0
      dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r1.ebuild
  58. 0
      dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild
  59. 5
      dev-ml/ocamlbuild/ocamlbuild-0.10.1.ebuild
  60. 4
      dev-perl/MIME-Charset/MIME-Charset-1.12.2.ebuild
  61. BIN
      dev-perl/Manifest.gz
  62. 4
      dev-perl/Unicode-LineBreak/Unicode-LineBreak-2019.1.0.ebuild
  63. BIN
      dev-python/Manifest.gz
  64. 1
      dev-python/aiorpcX/Manifest
  65. 28
      dev-python/aiorpcX/aiorpcX-0.19.ebuild
  66. 1
      dev-python/alembic/Manifest
  67. 33
      dev-python/alembic/alembic-1.5.4.ebuild
  68. 1
      dev-python/boto3/Manifest
  69. 56
      dev-python/boto3/boto3-1.17.1.ebuild
  70. 1
      dev-python/botocore/Manifest
  71. 59
      dev-python/botocore/botocore-1.20.1.ebuild
  72. 1
      dev-python/google-auth/Manifest
  73. 59
      dev-python/google-auth/google-auth-1.25.0.ebuild
  74. 1
      dev-python/guessit/Manifest
  75. 38
      dev-python/guessit/guessit-3.3.0.ebuild
  76. 1
      dev-python/mpmath/metadata.xml
  77. 2
      dev-python/mysql-connector-python/mysql-connector-python-8.0.23.ebuild
  78. 28
      dev-python/pypcap/pypcap-1.2.3-r1.ebuild
  79. 2
      dev-python/urllib3/urllib3-1.26.2-r3.ebuild
  80. BIN
      dev-ruby/Manifest.gz
  81. 1
      dev-ruby/mechanize/Manifest
  82. 38
      dev-ruby/mechanize/mechanize-2.7.6.ebuild
  83. 2
      dev-ruby/mechanize/mechanize-2.7.7.ebuild
  84. 2
      dev-ruby/nio4r/nio4r-2.5.4.ebuild
  85. 2
      dev-ruby/rspec-retry/rspec-retry-0.6.2.ebuild
  86. 4
      dev-ruby/rubygems/Manifest
  87. 103
      dev-ruby/rubygems/rubygems-3.2.0.ebuild
  88. 107
      dev-ruby/rubygems/rubygems-3.2.3.ebuild
  89. 107
      dev-ruby/rubygems/rubygems-3.2.4.ebuild
  90. 107
      dev-ruby/rubygems/rubygems-3.2.5.ebuild
  91. 1
      dev-ruby/typeprof/Manifest
  92. 32
      dev-ruby/typeprof/typeprof-0.12.0.ebuild
  93. 2
      dev-ruby/webrick/webrick-1.7.0.ebuild
  94. BIN
      kde-frameworks/Manifest.gz
  95. 32
      kde-frameworks/kio/files/kio-5.78.0-copyjob-crash.patch
  96. 5
      kde-frameworks/kio/kio-5.78.0-r1.ebuild
  97. BIN
      media-gfx/Manifest.gz
  98. 1
      media-gfx/iscan/Manifest
  99. 103
      media-gfx/iscan/iscan-3.65.0.ebuild
  100. BIN
      media-libs/Manifest.gz

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

2
app-admin/eselect/eselect-1.4.17.ebuild

@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~ulm/eselect/${P}.tar.xz"
LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-4.0 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs vim-syntax"
DEPEND="sys-apps/sed

4
app-admin/sshguard/sshguard-2.4.1.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 x86"
DEPEND="
sys-devel/flex

BIN
app-crypt/Manifest.gz

2
app-crypt/acme/Manifest

@ -1,3 +1,3 @@
DIST certbot-1.10.1.tar.gz 1416402 BLAKE2B e00ba6bf69dbf4bc91be325d4c9ba470214aeef18b4ad4ac5efbf7d077ffa9498e9cff2eff00045bc1024930f95ec56e1773c3a193a982b393caf7ee19f8ccc0 SHA512 332e92dd7d91b9774e55ef8d2c0217a57167a26d1e86d36196fc601b4abb23f40033f94112c4b4bff5f8bc54e1e32ecd68b1f01e7d67bc4fd8f7dd98ce0362cc
DIST certbot-1.11.0.tar.gz 1419116 BLAKE2B 4749dcd897822d4e1981ef57334a493e7b729205f3ae808893ed4cab682b74c8779893378fa5cd2651b4ef681518c5aac751514104b64adfd7a17435946c46b7 SHA512 b744e44e8a7981d7b28064a2b7b5d1f47ac1ea465fa350b4f849004f38e6b3966e3118e5ebd8c1c83b9a4a065c31005c0e2cb33f75a0b04125fbe2ac17312a24
DIST certbot-1.9.0.tar.gz 1425703 BLAKE2B 9bf78824649870b3e1fc3175aae551cbfaa675a8930a89f35ba2330647d86798e4fc43011c617be2d278ab20c43dd05b02e8e61956dd7f9d10d444181874346e SHA512 098d8c077f5760c1f40f7d673820488ad7643c8b9c12561a58921cd95f60ae76515cefc19f822747f3385a68eba6f49fe5484b20142994ef67a26b0b16293ce8
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa

2
app-crypt/acme/acme-1.11.0.ebuild

@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
S=${WORKDIR}/certbot-${PV}/acme
fi

12
app-crypt/acme/acme-1.9.0.ebuild → app-crypt/acme/acme-1.12.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=(python{3_7,3_8})
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
S=${WORKDIR}/certbot-${PV}/acme
fi
@ -26,15 +26,15 @@ IUSE="doc test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.1.4[${PYTHON_USEDEP}]
>=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.15.1[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/six-1.11.0[${PYTHON_USEDEP}]
"
DEPEND="
doc? (

6
app-crypt/acme/acme-9999.ebuild

@ -26,15 +26,15 @@ IUSE="doc test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.1.4[${PYTHON_USEDEP}]
>=dev-python/idna-2.0.0[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-0.15.1[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/requests-2.10[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
>=dev-python/six-1.11.0[${PYTHON_USEDEP}]
"
DEPEND="
doc? (

2
app-crypt/certbot-apache/Manifest

@ -1,3 +1,3 @@
DIST certbot-1.10.1.tar.gz 1416402 BLAKE2B e00ba6bf69dbf4bc91be325d4c9ba470214aeef18b4ad4ac5efbf7d077ffa9498e9cff2eff00045bc1024930f95ec56e1773c3a193a982b393caf7ee19f8ccc0 SHA512 332e92dd7d91b9774e55ef8d2c0217a57167a26d1e86d36196fc601b4abb23f40033f94112c4b4bff5f8bc54e1e32ecd68b1f01e7d67bc4fd8f7dd98ce0362cc
DIST certbot-1.11.0.tar.gz 1419116 BLAKE2B 4749dcd897822d4e1981ef57334a493e7b729205f3ae808893ed4cab682b74c8779893378fa5cd2651b4ef681518c5aac751514104b64adfd7a17435946c46b7 SHA512 b744e44e8a7981d7b28064a2b7b5d1f47ac1ea465fa350b4f849004f38e6b3966e3118e5ebd8c1c83b9a4a065c31005c0e2cb33f75a0b04125fbe2ac17312a24
DIST certbot-1.9.0.tar.gz 1425703 BLAKE2B 9bf78824649870b3e1fc3175aae551cbfaa675a8930a89f35ba2330647d86798e4fc43011c617be2d278ab20c43dd05b02e8e61956dd7f9d10d444181874346e SHA512 098d8c077f5760c1f40f7d673820488ad7643c8b9c12561a58921cd95f60ae76515cefc19f822747f3385a68eba6f49fe5484b20142994ef67a26b0b16293ce8
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa

2
app-crypt/certbot-apache/certbot-apache-1.11.0.ebuild

@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi

6
app-crypt/certbot-apache/certbot-apache-1.9.0.ebuild → app-crypt/certbot-apache/certbot-apache-1.12.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=(python{3_7,3_8})
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm64 x86"
KEYWORDS="~amd64 ~arm64 ~x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi

2
app-crypt/certbot-nginx/Manifest

@ -1,3 +1,3 @@
DIST certbot-1.10.1.tar.gz 1416402 BLAKE2B e00ba6bf69dbf4bc91be325d4c9ba470214aeef18b4ad4ac5efbf7d077ffa9498e9cff2eff00045bc1024930f95ec56e1773c3a193a982b393caf7ee19f8ccc0 SHA512 332e92dd7d91b9774e55ef8d2c0217a57167a26d1e86d36196fc601b4abb23f40033f94112c4b4bff5f8bc54e1e32ecd68b1f01e7d67bc4fd8f7dd98ce0362cc
DIST certbot-1.11.0.tar.gz 1419116 BLAKE2B 4749dcd897822d4e1981ef57334a493e7b729205f3ae808893ed4cab682b74c8779893378fa5cd2651b4ef681518c5aac751514104b64adfd7a17435946c46b7 SHA512 b744e44e8a7981d7b28064a2b7b5d1f47ac1ea465fa350b4f849004f38e6b3966e3118e5ebd8c1c83b9a4a065c31005c0e2cb33f75a0b04125fbe2ac17312a24
DIST certbot-1.9.0.tar.gz 1425703 BLAKE2B 9bf78824649870b3e1fc3175aae551cbfaa675a8930a89f35ba2330647d86798e4fc43011c617be2d278ab20c43dd05b02e8e61956dd7f9d10d444181874346e SHA512 098d8c077f5760c1f40f7d673820488ad7643c8b9c12561a58921cd95f60ae76515cefc19f822747f3385a68eba6f49fe5484b20142994ef67a26b0b16293ce8
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa

2
app-crypt/certbot-nginx/certbot-nginx-1.11.0.ebuild

@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi

10
app-crypt/certbot-nginx/certbot-nginx-1.9.0.ebuild → app-crypt/certbot-nginx/certbot-nginx-1.12.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=(python{3_7,3_8})
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
@ -11,7 +11,7 @@ if [[ ${PV} == 9999* ]]; then
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi
@ -27,6 +27,6 @@ IUSE=""
RDEPEND="
>=app-crypt/acme-1.4.0[${PYTHON_USEDEP}]
>=app-crypt/certbot-1.6.0[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
>=dev-python/pyparsing-1.5.5[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.0[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"

4
app-crypt/certbot-nginx/certbot-nginx-9999.ebuild

@ -27,6 +27,6 @@ IUSE=""
RDEPEND="
>=app-crypt/acme-1.4.0[${PYTHON_USEDEP}]
>=app-crypt/certbot-1.6.0[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
>=dev-python/pyparsing-1.5.5[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.3.0[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.0[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"

2
app-crypt/certbot/Manifest

@ -1,3 +1,3 @@
DIST certbot-1.10.1.tar.gz 1416402 BLAKE2B e00ba6bf69dbf4bc91be325d4c9ba470214aeef18b4ad4ac5efbf7d077ffa9498e9cff2eff00045bc1024930f95ec56e1773c3a193a982b393caf7ee19f8ccc0 SHA512 332e92dd7d91b9774e55ef8d2c0217a57167a26d1e86d36196fc601b4abb23f40033f94112c4b4bff5f8bc54e1e32ecd68b1f01e7d67bc4fd8f7dd98ce0362cc
DIST certbot-1.11.0.tar.gz 1419116 BLAKE2B 4749dcd897822d4e1981ef57334a493e7b729205f3ae808893ed4cab682b74c8779893378fa5cd2651b4ef681518c5aac751514104b64adfd7a17435946c46b7 SHA512 b744e44e8a7981d7b28064a2b7b5d1f47ac1ea465fa350b4f849004f38e6b3966e3118e5ebd8c1c83b9a4a065c31005c0e2cb33f75a0b04125fbe2ac17312a24
DIST certbot-1.9.0.tar.gz 1425703 BLAKE2B 9bf78824649870b3e1fc3175aae551cbfaa675a8930a89f35ba2330647d86798e4fc43011c617be2d278ab20c43dd05b02e8e61956dd7f9d10d444181874346e SHA512 098d8c077f5760c1f40f7d673820488ad7643c8b9c12561a58921cd95f60ae76515cefc19f822747f3385a68eba6f49fe5484b20142994ef67a26b0b16293ce8
DIST certbot-1.12.0.tar.gz 1419901 BLAKE2B 0ee1059c34ed6c73d1a066d54592917d5c65a8a193034f2d158397b559d2c7278d25fd3d4f2c4e553cd1737bfd8e871e8afba70e483fc4401cfa9deca913ded0 SHA512 1fbbba6294c6cd11a7f3b3887ac8775ed6c8cacd22879f68a4e3d8fb03021357dd0f32d8c96806b4f5b922dc243e332cfb36ac966f509fba739551e23e0d20fa

2
app-crypt/certbot/certbot-1.11.0.ebuild

@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
fi
S=${WORKDIR}/${P}/${PN}

10
app-crypt/certbot/certbot-1.9.0.ebuild → app-crypt/certbot/certbot-1.12.0.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=(python{3_7,3_8})
PYTHON_COMPAT=(python{3_7,3_8,3_9})
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
@ -10,7 +10,7 @@ if [[ ${PV} == 9999* ]]; then
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
S=${WORKDIR}/${P}/${PN}
@ -25,11 +25,11 @@ SLOT="0"
RDEPEND="
>=app-crypt/acme-1.8.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.8[${PYTHON_USEDEP}]
>=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-2.4[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]

4
app-crypt/certbot/certbot-9999.ebuild

@ -25,11 +25,11 @@ SLOT="0"
RDEPEND="
>=app-crypt/acme-1.8.0[${PYTHON_USEDEP}]
>=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
dev-python/configobj[${PYTHON_USEDEP}]
>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.8[${PYTHON_USEDEP}]
>=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
>=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-2.4[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]

3
app-crypt/ubuntu-keyring/Manifest

@ -1,3 +1,2 @@
DIST ubuntu-keyring_2018.02.28.tar.gz 30181 BLAKE2B 1dc1232aa3ddbbb4a908e2b0deb035fd2ae61ddad4ebba99cce43c636af30760a09bf46f05c35c8205ccfaf526ed8b0a3b9daa308ae5d7272da078903ee15557 SHA512 60f3a792d095206466f4c39672affb261b4520fb7b5b9df47487741e0d6613cd1076fde0e30120bcbe161b170c41f7ec1bbb2c36cddf13ee69a457df00c36fa8
DIST ubuntu-keyring_2018.09.18.1.tar.gz 34263 BLAKE2B fa08e98d27875f1120b3a99127f7df38b6f5d1659d087d52bef23f29619a6cc2b5217302e8e4b1b5efefe7b946bab65a72b5a84a281dc1a6e18eafa5a1e9f8a0 SHA512 562221fc2cf4ff843e9fb16c40673e379ebaa82f12d092cff2454527a6e58ba5067abc5ef5950a82d089cad975de14cdaf01c9e29f98126da8e96a97168102f6
DIST ubuntu-keyring_2020.02.11.2.tar.gz 39180 BLAKE2B e87e491bb7e22217fa9085edf77f833a3ee59cc7defe5690d343fe418795e4ca494d5db5df97684444906f4417f89b2730268599f3115c01fe8bcbc49e540558 SHA512 e717699a6f85a07e87cb3362550ce8a0db1271d2efd85f97405c0e9139516fdf8ca473a37035b5e6e38aca9e1a29e92f4a948d51def076f9c25961c5a1d91ce1
DIST ubuntu-keyring_2020.06.17.1.tar.gz 36420 BLAKE2B bf3d7fa685df28db74d97c3b22c4fcd1cfe39f4a19b6ab8eb9bbb894b891cd0483ffa746c2f7c7b268582ad6e5420b1cfe40dd40bc9baa684eed5b42012bb248 SHA512 33009928eeeadbe1627b77f7db1aba32cf1e59d2fd6767bcd0d441d3521cb2b07c5bf06be86e8426c96b9661786a958b2e978f12d8f0941d1ac79289d977eeaf

20
app-crypt/ubuntu-keyring/ubuntu-keyring-2018.02.28.ebuild

@ -1,20 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="GnuPG archive keys of the Ubuntu archive"
HOMEPAGE="https://packages.ubuntu.com/bionic/ubuntu-keyring"
SRC_URI="mirror://ubuntu/pool/main/${PN:0:1}/${PN}/${PN}_${PV}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
src_install() {
insinto /usr/share/keyrings/
doins keyrings/*.gpg
dodoc changelog README
}

9
app-crypt/ubuntu-keyring/ubuntu-keyring-2018.09.18.1.ebuild → app-crypt/ubuntu-keyring/ubuntu-keyring-2020.06.17.1.ebuild

@ -1,10 +1,10 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="GnuPG archive keys of the Ubuntu archive"
HOMEPAGE="https://packages.ubuntu.com/cosmic/ubuntu-keyring"
HOMEPAGE="https://packages.ubuntu.com/hirsute/ubuntu-keyring"
SRC_URI="mirror://ubuntu/pool/main/${PN:0:1}/${PN}/${PN}_${PV}.tar.gz"
LICENSE="GPL-2+"
@ -12,11 +12,10 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE=""
S="${WORKDIR}"/${P%%.1}ubuntu1
DOCS=( changelog README )
src_install() {
default
insinto /usr/share/keyrings/
doins keyrings/*.gpg
dodoc changelog README
}

BIN
app-emacs/Manifest.gz

1
app-emacs/nxml-gentoo-schemas/Manifest

@ -1 +1,2 @@
DIST nxml-gentoo-schemas-20200303.tar.xz 8452 BLAKE2B bee7e3d58b03e3aaefcd09d93a9b6919ae6b4892ac09e218ac68cbbc048e28def8b49cc4c583ddad04da61d61bb76386f0c0f33e12d2c8a938447e3f590854d5 SHA512 42f8ee48e349423db156d585bdd2c1d333f69693ac541bc44f8c1d0bae412b1793e1d86fc527287225040aa9b4b791ad2922196cf750de6029b4c77eebdc62de
DIST nxml-gentoo-schemas-20210203.tar.xz 8440 BLAKE2B 733c7949bd39a94e657c829c478b76229cfbe2edca6f973f45a91423fb573ed6ff5717ef7bca74733266d7ff5b31f5426d06df51d79263422dba1467234ae8ba SHA512 bdd28b40d0748f595b6ac035686605b7d7a08e9802d0e497893329b4cbc1195f4e785befb8afe6362eb8eb45132f3928f394546412ba463c47977587b6f88b3d

24
app-emacs/nxml-gentoo-schemas/nxml-gentoo-schemas-20210203.ebuild

@ -0,0 +1,24 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit elisp
DESCRIPTION="Extension for nxml-mode with Gentoo-specific schemas"
HOMEPAGE="https://gitweb.gentoo.org/proj/nxml-gentoo-schemas.git/"
SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
LICENSE="HPND MIT GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
SITEFILE="60${PN}-gentoo.el"
src_compile() { :; }
src_install() {
insinto "${SITEETC}/${PN}"
doins schemas.xml *.rnc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
}

BIN
app-misc/Manifest.gz

1
app-misc/ckb/Manifest

@ -1 +1,2 @@
DIST ckb-0.4.2.tar.gz 883681 BLAKE2B b3d921010b1caa8cb870770c6cf3ff0e9f6c65ea742325995e26351331e3063a16e8a391f593bfc8b16663cef0580e087d776796ea69776465122b08e00e9382 SHA512 4c80101e935a4d5137b0fd6aaf7d97889913af0bbb8e3097e035e2420043d6525094c1e3f7b5676e8c50328454251ff3260f6aa9b81ec583a2e8136333ee6af8
DIST ckb-0.4.3.tar.gz 1588845 BLAKE2B bdf11580c8224dfe0a7d01f99e3bea1d36fa3d7c1de84ec991ee4454c838db614bd74757ec3b952d28ab672244bb4c28888f6b80366255cfb57ec37ff8742c1d SHA512 6772812fb9608251f3a14efeb16960966be446462ab3f5b1bec896761aeae9e5f5cf9c07b21e509dbef057825c3017323f82f066519cb512ebe2fc6eea6ec217

58
app-misc/ckb/ckb-0.4.3.ebuild

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit xdg cmake
DESCRIPTION="Corsair K65/K70/K95 Driver"
HOMEPAGE="https://github.com/ckb-next/ckb-next"
SRC_URI="https://github.com/ckb-next/ckb-next/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="dev-libs/libdbusmenu-qt
dev-libs/quazip
dev-qt/qtcore:5
dev-qt/qtdbus:5
dev-qt/qtgui:5
dev-qt/qtnetwork:5
dev-qt/qtwidgets:5
dev-qt/qtx11extras:5
media-sound/pulseaudio
virtual/libudev:=
x11-libs/libX11
x11-libs/libxcb:=
x11-libs/xcb-util-wm"
BDEPEND="dev-qt/linguist-tools:5"
DEPEND="${RDEPEND}"
S="${WORKDIR}/${PN}-next-${PV}"
src_configure() {
local mycmakeargs=(
-DDISABLE_UPDATER=yes
)
cmake_src_configure
}
src_install() {
cmake_src_install
dodoc CHANGELOG.md
newinitd "${FILESDIR}"/ckb.initd ckb-daemon
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]]; then
elog "The ckb daemon will have to be started before use:"
elog
elog "OpenRC:"
elog "# rc-service ckb start"
elog
elog "Systemd:"
elog "# systemctl start ckb-next-daemon"
fi
}

1
app-misc/pax-utils/Manifest

@ -1,2 +1,3 @@
DIST pax-utils-1.2.6.tar.xz 680696 BLAKE2B b271e19ed5ec1024d7c6e5723c12464c6ab07646dfbfd4738bfe0250629205051642421425d7c7c5f540b1ac3d100c13d1beca398d9766f7f477830ab128eef2 SHA512 59fe16c5573414aa2952a99c5b85c16cf10dbbee76943f263d31d5b1aa8818a9b00fa78c8b6dadbe02216de54fc32b26d80303a17e2d854de6bb9dd8b431f617
DIST pax-utils-1.2.8.tar.xz 704804 BLAKE2B b64b50f985320618e10528aaddbeee9a2c86b05724d8564342fc78fd8bd31a84f3cfe5e6051b3b8a1a882bb0b3da586ca351b6fdda0fd6168930e8e4a44806cb SHA512 c211defb72921a6dfa950173bef7ef6bc5ac059dbb394a82d2b2455d082843fc7722a6819f37aa39033bd37a5a77880f193f8be550020320e87ce5becfa6e5bf
DIST pax-utils-1.2.9.tar.xz 705188 BLAKE2B 9eb9309f0317683dd06e491e6647ba20986f2cb248432fad0ed0eb277711e8d38c5b5148bc0b44e6dbc3d5d3d0093bccd4d10c057090801c49246a63f3bc0899 SHA512 47271cd75818728342e2a074fa05da24fce51ef0eeedb28237138525d7c86c207ca2b5d206fd02cb34529590340b726a14c54b205c65204539a51fb78ac55d41

78
app-misc/pax-utils/pax-utils-1.2.9.ebuild

@ -0,0 +1,78 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8,9} )
inherit eutils python-single-r1 toolchain-funcs
DESCRIPTION="ELF utils that can check files for security relevant properties"
HOMEPAGE="https://wiki.gentoo.org/index.php?title=Project:Hardened/PaX_Utilities"
SRC_URI="mirror://gentoo/${P}.tar.xz
https://dev.gentoo.org/~slyfox/distfiles/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="caps debug kernel_linux python seccomp"
RDEPEND="caps? ( >=sys-libs/libcap-2.24 )
python? (
${PYTHON_DEPS}
$(python_gen_cond_dep '
dev-python/pyelftools[${PYTHON_MULTI_USEDEP}]
')
)
seccomp? ( sys-libs/libseccomp )
"
# >=linux-headers-4.11 to pick linux headers with statx, bug #737094
DEPEND="
${RDEPEND}
kernel_linux? ( !prefix-guest? ( >=sys-kernel/linux-headers-4.11 ) )
"
BDEPEND="
caps? ( virtual/pkgconfig )
seccomp? ( virtual/pkgconfig )
"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
_emake() {
emake \
USE_CAP=$(usex caps) \
USE_DEBUG=$(usex debug) \
USE_PYTHON=$(usex python) \
USE_SECCOMP=$(usex seccomp) \
"$@"
}
pkg_setup() {
if use python; then
python-single-r1_pkg_setup
fi
}
src_configure() {
# Avoid slow configure+gnulib+make if on an up-to-date Linux system
if use prefix || ! use kernel_linux ||
has_version '<sys-libs/glibc-2.10'
then
econf $(use_with caps) $(use_with debug) $(use_with python) $(use_with seccomp)
else
tc-export CC PKG_CONFIG
fi
}
src_compile() {
_emake
}
src_test() {
_emake check
}
src_install() {
_emake DESTDIR="${D}" PKGDOCDIR='$(DOCDIR)'/${PF} install
use python && python_fix_shebang "${ED}"/usr/bin/lddtree
}

1
app-misc/radeontop/Manifest

@ -1 +1,2 @@
DIST radeontop-1.2.tar.gz 35319 BLAKE2B 52a92b86379c9340b8f59b3039a4ad725827e1b3ee2bb7d2f544d6ec8730e03ab1baab266edbc263195e68ca56a4e7b3f251337401775fff588fbfb8bae0751d SHA512 f36c2e418fe8add77080642e575b99c092afeda24811f33ee161a8c9341decb611f631e5511a5255089d63e172eda6836295e5795c3ebd3f5cad172f7599d862
DIST radeontop-1.3.tar.gz 38138 BLAKE2B 41bc36c571a99a136f2d1c1d5ff1a06b1e99bccb6e01f7432b9867e2700afa9d2b5cab7f743d3560b2120642c98253313e0356af977805ada173cd3c2168acbc SHA512 cc54e0726b2a934d14ad591c7a199474b49885e6122399b282e9289610d26f3c55b3d68a7d655d88a0ff8de1a0ac0994e868fa06ae1198416aaf857a099181f1

54
app-misc/radeontop/radeontop-1.3.ebuild

@ -0,0 +1,54 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Utility to view Radeon GPU utilization"
HOMEPAGE="https://github.com/clbr/radeontop"
SRC_URI="https://github.com/clbr/radeontop/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="nls"
RDEPEND="
sys-libs/ncurses:0=
x11-libs/libdrm
x11-libs/libpciaccess
x11-libs/libxcb
nls? (
sys-libs/ncurses:0=[unicode]
virtual/libintl
)
"
DEPEND="${RDEPEND}
nls? ( sys-devel/gettext )
"
BDEPEND="virtual/pkgconfig"
src_prepare() {
default
cat > include/version.h <<-EOF || die
#ifndef VER_H
#define VER_H
#define VERSION "${PV}"
#endif
EOF
>getver.sh || die
touch .git || die
}
src_configure() {
tc-export CC
export LIBDIR=$(get_libdir)
export nls=$(usex nls 1 0)
export amdgpu=1
export xcb=1
# Do not add -g or -s to CFLAGS
export plain=1
}

7
app-misc/tmuxp/Manifest

@ -1,6 +1,3 @@
DIST tmuxp-1.5.4.tar.gz 843048 BLAKE2B 863b428198e8bb2895802ba7365ac2ec43fc75c708b41929934b6803c79b8f6436b5233ad567f1ab010e6ae372d89261a7ee19953fa01ab9defd1e290b6da621 SHA512 f6fdecff23de883076461fcef3fb1555242d8a96f1c05c88fd0fb3216bbb99fb321680f484972b10f54ff87eb032d8627397f76960262612954eaab6bbf7c7a9
DIST tmuxp-1.5.5.tar.gz 856665 BLAKE2B fa18222840b9c221de48a78291243776a66a7aec3221f23be3218f81eae0d15ce5a4568f7eff679c01793d4ac4d441f6714c37d9ac3c9f705af49214f5dc2570 SHA512 61c14197af7742b48dab95443bb818ede20d26aa46ab2e89b883a34e2bcec910d8210fc1358fc88f96ccc637c47d6432082cd58995b80a43234cebba95240ebc
DIST tmuxp-1.5.6.tar.gz 883700 BLAKE2B c8ad08c709aa1763cc046a05c6241983d2cdd33ca530ce0510ae7bb68ce3e340d40c6ec23c9544ef8b0d8da38aad74305e13d7b6348b0f46da929e94b3e862ff SHA512 1db74aa9ee6274aacec127aff210e8ed64176142991a9691c31c59ef0370503dddeb35b69c0a8229204968308c68788d408d6a5e0bc2ad1fb3320727ea4994f9
DIST tmuxp-1.6.2.tar.gz 1014758 BLAKE2B c6c60978938892311151cfff35bdc74e2daa9a615b2952a14c4a0020e434af7c28d36466a5ae82db683c6bda9a95f12f7e032d04eb58c5b164aeb05b144b2005 SHA512 a38c3f46a726df0cd885113d82ed5a186d68f6d643a7bde6d169908373e6881fac14c8c46c00ede727e47e4e1af5f9d3cd79cb0057457478ace1ec0ba0632cfb
DIST tmuxp-1.6.4.tar.gz 1015684 BLAKE2B 4f8d34ab1e1bd8e46e89e49ac92ce0a05b614bd7b43ce910120f12a46fb3ab143330975352cf2275999146ba005646c7c5aa07b7cc616ae80265edb4e173cf34 SHA512 482ba47652090a13d7866695b2639ab580c0cca5f6935f58e0be6867efde298c6f3350f65c231dec59a3f2dc1e0f795b02df1ad24d5ace6e7ee6aecdd60a9611
DIST tmuxp-1.7.0.tar.gz 1027071 BLAKE2B d1806794e11e651e7ba826d7b28a9b0f467272d2972b06be4036919a08a5ad36140aa09f975da41a2a4bd8a71b25f38c8d08d8dd37cf2b371441a3557880146a SHA512 0cfba5375f35957e3db15c61876b4a142d4a13411e67dd7ba9c643e1bfe754e71d02773e10336f83613b90e6211d8bb9b1132fae4e890c8467b638e605dc2108
DIST tmuxp-1.6.5.tar.gz 1017117 BLAKE2B 4cc8955f9dcfffd237ffde3e7487496aaf85dd886fd124ad76d61e10fa64f90bac79cc4df9aac63122446b7a4727b01ceaea502d7bbe5f5ba7f68e89bbb86feb SHA512 9095c196f20b537662ffa9d819c675e325fda7f49fb3fd9811f00fc1e1c763b7ea29cdd500bb7d775d1673ab2fc1386f662a2ff6744ffcd2b7aaab13a014cce3
DIST tmuxp-1.7.2.tar.gz 1027293 BLAKE2B 2564d196c9c327584d24f57ce72165a7cdff2209fe6869a4d3519eb0246329cd8159ecaa20c2a39e153bde224201b1f846f4244c4df72ac540cf0d71f9fba75a SHA512 2ccf63c9f5b7049438ca6079894aac92a0f7496a56c68d88e5a9d5c2a42188a4e40d559792857881f492b28392a329697d4d43781f38ee7c49ed592aac8a69f8

11
app-misc/tmuxp/files/tmuxp-1.7.0-tests.patch → app-misc/tmuxp/files/tmuxp-1.7.2-tests.patch

@ -1,15 +1,14 @@
diff --git a/tests/test_cli.py b/tests/test_cli.py
index e5a7f93..de132db 100644
index bfd2345..f55910c 100644
--- a/tests/test_cli.py
+++ b/tests/test_cli.py
@@ -15,6 +15,10 @@ import pytest
import click
@@ -16,6 +16,9 @@ import click
import kaptan
from click.testing import CliRunner
+
+import sys
+import pathlib
+sys.path.extend([str(p) for p in pathlib.Path(__file__, '..', 'fixtures/pluginsystem/plugins').resolve().iterdir() if p.is_dir()])
from tmuxp_test_plugin_bwb.plugin import PluginBeforeWorkspaceBuilder
import libtmux
from libtmux.common import has_lt_version
from libtmux.exc import LibTmuxException

39
app-misc/tmuxp/tmuxp-1.5.5.ebuild

@ -1,39 +0,0 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8} pypy3 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="tmux session manager. built on libtmux"
HOMEPAGE="https://tmuxp.git-pull.com"
SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="test"
RDEPEND="
>=app-misc/tmux-3.0a
dev-python/kaptan[${PYTHON_USEDEP}]
>=dev-python/libtmux-0.8[${PYTHON_USEDEP}]
<dev-python/libtmux-0.9[${PYTHON_USEDEP}]
>=dev-python/click-7.0[${PYTHON_USEDEP}]
<dev-python/click-8.0[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
"
BDEPEND="${RDEPEND}
test? (
>=dev-python/pytest-4.1.1[${PYTHON_USEDEP}]
>=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
python_test() {
SHELL="/bin/bash" pytest -vv || die "Tests fail with ${EPYTHON}"
}

41
app-misc/tmuxp/tmuxp-1.5.6.ebuild

@ -1,41 +0,0 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8} pypy3 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="tmux session manager. built on libtmux"
HOMEPAGE="https://tmuxp.git-pull.com"
SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="test"
RDEPEND="
>=app-misc/tmux-3.0a
>=dev-python/kaptan-0.5.10[${PYTHON_USEDEP}]
>=dev-python/libtmux-0.8[${PYTHON_USEDEP}]
<dev-python/libtmux-0.9[${PYTHON_USEDEP}]
>=dev-python/click-7.0[${PYTHON_USEDEP}]
<dev-python/click-8.0[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
"
BDEPEND="${RDEPEND}
test? (
>=dev-python/pytest-4.1.1[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
!dev-python/flaky
)
"
distutils_enable_tests pytest
python_test() {
SHELL="/bin/bash" pytest -vv || die "Tests fail with ${EPYTHON}"
}

41
app-misc/tmuxp/tmuxp-1.6.2.ebuild

@ -1,41 +0,0 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..8} pypy3 )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="tmux session manager. built on libtmux"
HOMEPAGE="https://tmuxp.git-pull.com"
SRC_URI="https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="test"
RDEPEND="
>=app-misc/tmux-3.0a
>=dev-python/kaptan-0.5.10[${PYTHON_USEDEP}]
>=dev-python/libtmux-0.8.5[${PYTHON_USEDEP}]
<dev-python/libtmux-0.9[${PYTHON_USEDEP}]
>=dev-python/click-7.0[${PYTHON_USEDEP}]
<dev-python/click-8.0[${PYTHON_USEDEP}]
>=dev-python/colorama-0.3.9[${PYTHON_USEDEP}]
"
BDEPEND="${RDEPEND}
test? (
>=dev-python/pytest-4.1.1[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
>=dev-python/pytest-rerunfailures-4.2[${PYTHON_USEDEP}]
!dev-python/flaky
)
"
distutils_enable_tests pytest
python_test() {
SHELL="/bin/bash" pytest -vv || die "Tests fail with ${EPYTHON}"
}

0
app-misc/tmuxp/tmuxp-1.6.4.ebuild → app-misc/tmuxp/tmuxp-1.6.5.ebuild

2
app-misc/tmuxp/tmuxp-1.7.0.ebuild → app-misc/tmuxp/tmuxp-1.7.2.ebuild

@ -36,7 +36,7 @@ BDEPEND="${RDEPEND}
PATCHES=(
"${FILESDIR}/tmuxp-1.6.4-tests.patch"
"${FILESDIR}/tmuxp-1.7.0-tests.patch"
"${FILESDIR}/tmuxp-1.7.2-tests.patch"
)
distutils_enable_tests --install pytest

BIN
app-text/Manifest.gz

2
app-text/manpager/manpager-1.ebuild

@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}

1
app-text/poppler/Manifest

@ -1,4 +1,3 @@
DIST poppler-20.11.0.tar.xz 1648432 BLAKE2B 373464ba60ed84863b40eca2e4f99ebc1625ea06f68a1621165675cf46e70713b649f90630049d15c5c2bc59bd0befb437a4039b47e17509d4fcc4fed8586d53 SHA512 c8237e931ef20d939656e2600453fffb12a2beeafb273782b2069aec6e5915d8cc85136982b7eaf5956af30ce00da2faf84d86ffab47f725447dfbb9d6ffe335
DIST poppler-20.12.1.tar.xz 1660164 BLAKE2B b96198be824dad6bde3ed89cbd05ebae001914c253d1b95321088ee209c73134efbb7f0044aa5d20c07d35b2460f5d17171810f36b873d2542e4bc93f423273f SHA512 a7ede8b11ce73c724fc54bc1e522ecfedaff65a08265c5faee4645765f1d6670a35abf67e57bdebacfd01b2071f1c532a04b9e302939a500fea9185f6e8226d0
DIST poppler-21.01.0.tar.xz 1680536 BLAKE2B 5f8d283cd26f4713c09b0c102dd3295bc7ae1c2ad2ba0f51d12fdaed5f89a864d98d10be7176e17c5613aa4579da3bea1aca56aff3cec4e5c53e977a1e84659f SHA512 aec130446df73a2fc66851a563a14cb40299212a2de4a0d03668b0fecb28312fffa70d0a82431c774d0c0e3f7293788bd2bdf28c8136aa09ad80edbca4cf0ddd
DIST poppler-21.02.0.tar.xz 1684496 BLAKE2B f62399a70baa0af36abd9bf7f5bc69003fcdc9b668a64475a6373dbdd9885092a8beb42f887eafdafac5ee17e9aac5b610bad1c9a64af8112e72c82f47e6a304 SHA512 3964990749f38f4468b244c579ff1f2dab7357dfddecb3035d14d3aaeac6ee4be42e76b4a1cc1a8cf53715518def9e92cc59d08c1e22592ced00a9c948989035

122
app-text/poppler/poppler-20.12.1.ebuild

@ -1,122 +0,0 @@
# Copyright 2005-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake toolchain-funcs xdg-utils
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://anongit.freedesktop.org/git/poppler/poppler.git"
SLOT="0/9999"
else
SRC_URI="https://poppler.freedesktop.org/${P}.tar.xz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0/105" # CHECK THIS WHEN BUMPING!!! SUBSLOT IS libpoppler.so SOVERSION
fi
DESCRIPTION="PDF rendering library based on the xpdf-3.0 code base"
HOMEPAGE="https://poppler.freedesktop.org/"
LICENSE="GPL-2"
IUSE="cairo cjk curl +cxx debug doc +introspection +jpeg +jpeg2k +lcms nss png qt5 tiff +utils"
# No test data provided
RESTRICT="test"
BDEPEND="
dev-util/glib-utils
virtual/pkgconfig
"
DEPEND="
media-libs/fontconfig
media-libs/freetype
sys-libs/zlib
cairo? (
dev-libs/glib:2
x11-libs/cairo
introspection? ( dev-libs/gobject-introspection:= )
)
curl? ( net-misc/curl )
jpeg? ( virtual/jpeg:0 )
jpeg2k? ( >=media-libs/openjpeg-2.3.0-r1:2= )
lcms? ( media-libs/lcms:2 )
nss? ( >=dev-libs/nss-3.19:0 )
png? ( media-libs/libpng:0= )
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtxml:5
)
tiff? ( media-libs/tiff:0 )
"
RDEPEND="${DEPEND}
cjk? ( app-text/poppler-data )
"
DOCS=( AUTHORS NEWS README.md README-XPDF )
PATCHES=(
"${FILESDIR}/${PN}-20.12.1-qt5-deps.patch"
"${FILESDIR}/${PN}-20.12.0-respect-cflags.patch"
"${FILESDIR}/${PN}-0.57.0-disable-internal-jpx.patch"
)
src_prepare() {
cmake_src_prepare
# Clang doesn't grok this flag, the configure nicely tests that, but
# cmake just uses it, so remove it if we use clang
if [[ ${CC} == clang ]] ; then
sed -e 's/-fno-check-new//' -i cmake/modules/PopplerMacros.cmake || die
fi
if ! grep -Fq 'cmake_policy(SET CMP0002 OLD)' CMakeLists.txt ; then
sed -e '/^cmake_minimum_required/acmake_policy(SET CMP0002 OLD)' \
-i CMakeLists.txt || die
else
einfo "policy(SET CMP0002 OLD) - workaround can be removed"
fi
}
src_configure() {
xdg_environment_reset
local mycmakeargs=(
-DBUILD_GTK_TESTS=OFF
-DBUILD_QT5_TESTS=OFF
-DBUILD_CPP_TESTS=OFF
-DRUN_GPERF_IF_PRESENT=OFF
-DENABLE_SPLASH=ON
-DENABLE_ZLIB=ON
-DENABLE_ZLIB_UNCOMPRESS=OFF
-DENABLE_UNSTABLE_API_ABI_HEADERS=ON
-DUSE_FLOAT=OFF
-DWITH_Cairo=$(usex cairo)
-DENABLE_LIBCURL=$(usex curl)
-DENABLE_CPP=$(usex cxx)
-DWITH_JPEG=$(usex jpeg)
-DENABLE_DCTDECODER=$(usex jpeg libjpeg none)
-DENABLE_LIBOPENJPEG=$(usex jpeg2k openjpeg2 none)
-DENABLE_CMS=$(usex lcms lcms2 none)
-DWITH_NSS3=$(usex nss)
-DWITH_PNG=$(usex png)
$(cmake_use_find_package qt5 Qt5Core)
-DWITH_TIFF=$(usex tiff)
-DENABLE_UTILS=$(usex utils)
-DENABLE_QT6=OFF
)
use cairo && mycmakeargs+=( -DWITH_GObjectIntrospection=$(usex introspection) )
cmake_src_configure
}
src_install() {
cmake_src_install
# live version doesn't provide html documentation
if use cairo && use doc && [[ ${PV} != *9999* ]]; then
# For now install gtk-doc there
insinto /usr/share/gtk-doc/html/poppler
doins -r "${S}"/glib/reference/html/*
fi
}

BIN
dev-db/Manifest.gz

2
dev-db/myodbc/myodbc-8.0.23.ebuild

@ -15,7 +15,7 @@ SRC_URI="https://dev.mysql.com/get/Downloads/Connector-ODBC/${MAJOR}/${MY_P}.tar
LICENSE="GPL-2"
SLOT="${MAJOR}"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"
IUSE=""
# Broken when built dynamically against libmysqlclient.so

2
dev-db/mysql-connector-c++/mysql-connector-c++-8.0.23.ebuild

@ -13,7 +13,7 @@ SRC_URI="https://dev.mysql.com/get/Downloads/${URI_DIR}/${P}-src.tar.gz"
LICENSE="Artistic GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc x86"
IUSE="+legacy libressl"
RDEPEND="

2
dev-db/mysql/mysql-5.7.33.ebuild

@ -28,7 +28,7 @@ RESTRICT="!test? ( test ) libressl? ( test )"
REQUIRED_USE="?? ( tcmalloc jemalloc )"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris ~x86-solaris"
# Shorten the path because the socket path length must be shorter than 107 chars
# and we will run a mysql server during test phase

2
dev-db/mysql/mysql-8.0.23.ebuild

@ -37,7 +37,7 @@ REQUIRED_USE="?? ( tcmalloc jemalloc )
router? ( server )
tcmalloc? ( server )"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris ~x86-solaris"
# Shorten the path because the socket path length must be shorter than 107 chars
# and we will run a mysql server during test phase

BIN
dev-lang/Manifest.gz

3
dev-lang/python/Manifest

@ -3,6 +3,8 @@ DIST Python-2.7.18.tar.xz.asc 833 BLAKE2B 1d98770e46171971fb99994508d238c01d2755
DIST Python-3.10.0a3.tar.xz 18676916 BLAKE2B 86c8e3cd5d9658a2b1027558eda42294807173cac39010737dba6a0bf75a3a7211297cb79061085ab0cea52eaaba521140ff67c3b6edeebd677429191f4435b5 SHA512 a361c04081e9bd7e740c3311d92ec1428f12c589613ab39ed2bb1ac5aa20e4d8bc6d6e76eefc20edd459ecf8be1720f3985126be38407fcfb41f5a6efcea3998
DIST Python-3.10.0a4.tar.xz 18706760 BLAKE2B a1237b73f0890c3da042eff7b110bd8da5b58ecd8cd53e673d3f91555c602b6b5f2b771023749d01cf3adff45935a7e3fda78af55cf7e7279a451ac5f2902b68 SHA512 2bf756e581315a7f242683931bffb275edcd5d864b8242e3de42ccf07cca27208f0468ba1663ff12263c128060bab400ba2ed707e0c3bcc422a619adc3171c34
DIST Python-3.10.0a4.tar.xz.asc 833 BLAKE2B 7cbfa39f918b9bb8dcdd46f2d5a4e6e7a24060bc39e8b81dfdea3fa2c305295da3bf09bd98b36a39cf8ec7619943fb0ca66f80d704bf3618b981cc22afdbd2d5 SHA512 6b94e27982e8344f0bd343bb0e04041a82608eff537105815a90a54f48cc6fa4804af10403e9729ada469c876352693144e3922de8fb2e48dc78151fa6520973
DIST Python-3.10.0a5.tar.xz 18286124 BLAKE2B 618a812c601cdf910dc5064ec8e6350f3473c368be92663de0a543aef8dab5d767db72e0c796e465dafb86e3ee6acf21f4d2d6d99128a3bb615b8ba6759c9b6f SHA512 d686f9044ea964af2b5556068c0d804511d3148b455643d06a8b566f265a5fa9a9a3713ff0c3fee2c0da9bba33b913983ea4fcb22d679cfdcb83c6de32aa575e
DIST Python-3.10.0a5.tar.xz.asc 833 BLAKE2B f92a03f8ce6d3396f053ab508aca55c937b5ae91462e2325842b4c00fc105a817df10fb4086273939a50f91fcd5d1003da2807d1b8ab0794e6ecd660d72515bf SHA512 4f1fe9b42830c89cb35ea1634fd7484f3bbf7ff22868c71fadc0601c3b02ff2ea386cfbc7ea167a2770d732aa01532fb7d4abb198a07e4710565e3eec138408c
DIST Python-3.6.12.tar.xz 17202980 BLAKE2B c8d22e4d57bcaffe77cd902cda3a473e73adf2b74ab104c23b4d846f19632a24cc0c478af84079b16d784bd1c0956824c06c1f6134fd24f54e58aaab0fe96bb6 SHA512 1462801f3f6626a853097d34ccdca9838c4c5bd81ecc3abc751003f5f2f8d36eecdaa4130ef4218de351c5586093c11669639a34492668fbc5a2a4a241f4a070
DIST Python-3.6.12.tar.xz.asc 833 BLAKE2B a5eb9f907732bb5afd8f56115ab830ed6b6f4545e4063cfe316fb7aa1ba8694fcb8c936919b4045d9f5923446f8ea20978ead059078ed50ad48a82a3bb5ae941 SHA512 91d9ce0c471359f6aa3d5d5dcad7316ec6ed173f895a51e72b1853dc422fda57a00411c88fdc40a8e21888d964136b0b032e15b215c3b6c62ffc82bddc580860
DIST Python-3.7.9.tar.xz 17389636 BLAKE2B 484833aa2aa4e29051a02969294f72099ff6f1a47d944b1a0dd15f8e6c22a0406d551bcbcd1048cf89defedaccf060733211e34b38e31fd8391dd823eaa35bc0 SHA512 e4217b25529b5336e43b63d17f3758a8177a58184564cf02bd92a312f58dba9e096485c9e3cb3544f966e847ea15b3ab30ed065d28a6ca52a6d7e0faddf7d9f9
@ -16,6 +18,7 @@ DIST Python-3.9.1.tar.xz.asc 833 BLAKE2B dc445ed9797668c5f0777259ea83330815ee516
DIST python-gentoo-patches-2.7.18-r4.tar.xz 21352 BLAKE2B d322f5afd63813d7c9280c75f942bde75ee19793e121d0406c4f229ead53324bf3996342eed9a6c1aa474894afe7f2dd70aec38aee8042993a5274abc288fd31 SHA512 1cb0be8e79d0c6c55fcbe3f3dabf8b760aea0e60d888ea39d3e69de03b55738c50b2cca06586c1cd2896956f5764eefd6d3f9fbf2de0d0ddfd8aab86837976b6
DIST python-gentoo-patches-2.7.18-r6.tar.xz 22740 BLAKE2B 1727fcab273dfe5e5739c7ce1cd7fb3c6bd13c2bda25a2e4e0609a2e727a69318a46b7c2173ea7746f8a124e778b276408adc9968ed2025b8643e660bb3d3ea3 SHA512 975fe72c5b2f4577563e8e972c70b7eec7203790a500e6f051fab1f66c71e5ae46fcb3c571a9e6346bf3a0d1dd48594a61bf2751007e4f5e3d19f8db6146c99d
DIST python-gentoo-patches-3.10.0a3-r1.tar.xz 10068 BLAKE2B 8b305a31cf0aab4da9e27e671b4fd48be6224ff8508ed1831ad4149761bb263cd9a694e90d52335390643a537dee2d6cab4e086bd521c99217e81845b4f9bcf1 SHA512 69c52c61dd2f1ca097fafe13c27cd1979280675bef6af8e8e300f3791d7eb50368311e3d055075f4bca01ce02d9e97a94fcd2662c78f14cfb6a37d77c39a158f
DIST python-gentoo-patches-3.10.0a5.tar.xz 8972 BLAKE2B b407e501037f2732ec0844ab033fcd6226ff96731f5e752b5a807c69aa57e678e9f170aab5dd3f69bd9d2951c82ecca4664354c11aca88a4a742281ab5d28887 SHA512 4dceba9adc33b06196f326dbeacb8b17eaeffebee98f0025d4faef8f047be9c20a153a8eb89a2b64f9248cbd8810ae4a5ebfc2534770a940825a5d8a4a02e068
DIST python-gentoo-patches-3.6.12-r1.tar.xz 16540 BLAKE2B 8204b6f25e1f7c6fef024933d54bfa6085158ac624a6e5a8d51576da2047b6db791be5d071c483fdec5c033b8fa8ee3d4e176a3e442defa556b34a304de3b7f3 SHA512 ad74c73b4f963427e66ac6187e1569dbfbbe3c916c24971a1eba4ad7e2f94e39c970f80e197c0498820451f036b12f3076b46cfd73bb5d6d56183ac05453d9ad
DIST python-gentoo-patches-3.6.12-r2.tar.xz 17988 BLAKE2B c252bce5ac49b9af11174d3c974d95c24ec280230cede75a7650cb914f8acb3d41b8d575e469fe7f274c6d3bc238847b82e815bf1444c5afd7292e00248e3365 SHA512 50813fbd810c8b865c0f0f8d56780af7a9e094336ba486ddd94ba8fb0a83b5373f41274bbb10c3d732449ee5b2076b7430404c02bfac10fb9b27f92de79c25e2
DIST python-gentoo-patches-3.7.9-r1.tar.xz 15664 BLAKE2B 271b95a52f4ba83c1aee6f68385462c9af8f2ab575267ac068a793e99f7c9739eb4b98dfa7e9280510a709557d418db04f26b5b31bbfe95dfdc13c1773510d2d SHA512 38df628de2f2835f975f6f06395d32cd63051af87b9bf8b06eef2f987bde26a883923bcab333568c122554b900bb17995a8c7290b6a58f942bd942dcbc70d030

353
dev-lang/python/python-3.10.0_alpha5.ebuild

@ -0,0 +1,353 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
WANT_LIBTOOL="none"
inherit autotools check-reqs flag-o-matic multiprocessing pax-utils \
python-utils-r1 toolchain-funcs verify-sig
MY_P="Python-${PV/_alpha/a}"
PYVER=$(ver_cut 1-2)
PATCHSET="python-gentoo-patches-3.10.0a5"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="https://www.python.org/"
SRC_URI="https://www.python.org/ftp/python/${PV%_*}/${MY_P}.tar.xz
https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
verify-sig? (
https://www.python.org/ftp/python/${PV%_*}/${MY_P}.tar.xz.asc
)"
S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="bluetooth build examples gdbm hardened ipv6 libressl +ncurses +readline sqlite +ssl test tk wininst +xml"
RESTRICT="!test? ( test )"
# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.
RDEPEND="app-arch/bzip2:=
app-arch/xz-utils:=
dev-libs/libffi:=
sys-apps/util-linux:=
>=sys-libs/zlib-1.1.3:=
virtual/libcrypt:=
virtual/libintl
gdbm? ( sys-libs/gdbm:=[berkdb] )
ncurses? ( >=sys-libs/ncurses-5.2:= )
readline? ( >=sys-libs/readline-4.1:= )
sqlite? ( >=dev-db/sqlite-3.3.8:3= )
ssl? (
!libressl? ( dev-libs/openssl:= )
libressl? ( dev-libs/libressl:= )
)
tk? (
>=dev-lang/tcl-8.0:=
>=dev-lang/tk-8.0:=
dev-tcltk/blt:=
dev-tcltk/tix
)
xml? ( >=dev-libs/expat-2.1:= )"
# bluetooth requires headers from bluez
DEPEND="${RDEPEND}
bluetooth? ( net-wireless/bluez )
test? ( app-arch/xz-utils[extra-filters(+)] )"
# autoconf-archive needed to eautoreconf
BDEPEND="
sys-devel/autoconf-archive
virtual/pkgconfig
verify-sig? ( app-crypt/openpgp-keys-python )
!sys-devel/gcc[libffi(-)]"
PDEPEND="app-eselect/eselect-python"
RDEPEND+=" !build? ( app-misc/mime-types )"
VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
# large file tests involve a 2.5G file being copied (duplicated)
CHECKREQS_DISK_BUILD=5500M
pkg_pretend() {
use test && check-reqs_pkg_pretend
}
pkg_setup() {
use test && check-reqs_pkg_setup
}
src_unpack() {
if use verify-sig; then
verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
fi
default
}
src_prepare() {
# Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat || die
rm -fr Modules/_ctypes/libffi* || die
rm -fr Modules/zlib || die
local PATCHES=(
"${WORKDIR}/${PATCHSET}"
)
default
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
# force correct number of jobs
# https://bugs.gentoo.org/737660
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
sed -i -e "s:-j0:-j${jobs}:" Makefile.pre.in || die
sed -i -e "/self\.parallel/s:True:${jobs}:" setup.py || die
eautoreconf
}
src_configure() {
local disable
# disable automagic bluetooth headers detection
use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
use gdbm || disable+=" gdbm"
use ncurses || disable+=" _curses _curses_panel"
use readline || disable+=" readline"
use sqlite || disable+=" _sqlite3"
use ssl || export PYTHON_DISABLE_SSL="1"
use tk || disable+=" _tkinter"
use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
export PYTHON_DISABLE_MODULES="${disable}"
if ! use xml; then
ewarn "You have configured Python without XML support."
ewarn "This is NOT a recommended configuration as you"
ewarn "may face problems parsing any XML documents."
fi
if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
fi
if [[ "$(gcc-major-version)" -ge 4 ]]; then
append-flags -fwrapv
fi
filter-flags -malign-double
# https://bugs.gentoo.org/show_bug.cgi?id=50309
if is-flagq -O3; then
is-flagq -fstack-protector-all && replace-flags -O3 -O2
use hardened && replace-flags -O3 -O2
fi
# https://bugs.gentoo.org/700012
if is-flagq -flto || is-flagq '-flto=*'; then
append-cflags $(test-flags-CC -ffat-lto-objects)
fi
# Export CXX so it ends up in /usr/lib/python3.X/config/Makefile.
tc-export CXX
# Set LDFLAGS so we link modules with -lpython3.2 correctly.
# Needed on FreeBSD unless Python 3.2 is already installed.
# Please query BSD team before removing this!
append-ldflags "-L."
# Fix implicit declarations on cross and prefix builds. Bug #674070.
use ncurses && append-cppflags -I"${ESYSROOT}"/usr/include/ncursesw
local dbmliborder
if use gdbm; then
dbmliborder+="${dbmliborder:+:}gdbm"
fi
local myeconfargs=(
# glibc-2.30 removes it; since we can't cleanly force-rebuild
# Python on glibc upgrade, remove it proactively to give
# a chance for users rebuilding python before glibc
ac_cv_header_stropts_h=no
--enable-shared
$(use_enable ipv6)
--infodir='${prefix}/share/info'
--mandir='${prefix}/share/man'
--with-computed-gotos
--with-dbmliborder="${dbmliborder}"
--with-libc=
--enable-loadable-sqlite-extensions
--without-ensurepip
--with-system-expat
--with-system-ffi
)
OPT="" econf "${myeconfargs[@]}"
if grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
eerror "configure has detected that the sem_open function is broken."
eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
die "Broken sem_open function (bug 496328)"
fi
}
src_compile() {
# Ensure sed works as expected
# https://bugs.gentoo.org/594768
local -x LC_ALL=C
emake CPPFLAGS= CFLAGS= LDFLAGS=
# Work around bug 329499. See also bug 413751 and 457194.
if has_version dev-libs/libffi[pax_kernel]; then
pax-mark E python
else
pax-mark m python
fi
}
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
fi
# Skip failing tests.
local skipped_tests="gdb"
for test in ${skipped_tests}; do
mv "${S}"/Lib/test/test_${test}.py "${T}"
done
# bug 660358
local -x COLUMNS=80
local -x PYTHONDONTWRITEBYTECODE=
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
emake test EXTRATESTOPTS="-u-network -j${jobs}" \
CPPFLAGS= CFLAGS= LDFLAGS= < /dev/tty
local result=$?
for test in ${skipped_tests}; do
mv "${T}/test_${test}.py" "${S}"/Lib/test
done
elog "The following tests have been skipped:"
for test in ${skipped_tests}; do
elog "test_${test}.py"
done
elog "If you would like to run them, you may:"
elog "cd '${EPREFIX}/usr/lib/python${PYVER}/test'"
elog "and run the tests separately."
if [[ ${result} -ne 0 ]]; then
die "emake test failed"
fi
}
src_install() {
local libdir=${ED}/usr/lib/python${PYVER}
emake DESTDIR="${D}" altinstall
# Remove static library
rm "${ED}"/usr/$(get_libdir)/libpython*.a || die
sed \
-e "s/\(CONFIGURE_LDFLAGS=\).*/\1/" \
-e "s/\(PY_LDFLAGS=\).*/\1/" \
-i "${libdir}/config-${PYVER}"*/Makefile || die "sed failed"
# Fix collisions between different slots of Python.
rm "${ED}/usr/$(get_libdir)/libpython3.so" || die
# Cheap hack to get version with ABIFLAGS
local abiver=$(cd "${ED}/usr/include"; echo python*)
if [[ ${abiver} != python${PYVER} ]]; then
# Replace python3.X with a symlink to python3.Xm
rm "${ED}/usr/bin/python${PYVER}" || die
dosym "${abiver}" "/usr/bin/python${PYVER}"
# Create python3.X-config symlink
dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
# Create python-3.5m.pc symlink
dosym "python-${PYVER}.pc" "/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
fi
# python seems to get rebuilt in src_install (bug 569908)
# Work around it for now.
if has_version dev-libs/libffi[pax_kernel]; then
pax-mark E "${ED}/usr/bin/${abiver}"
else
pax-mark m "${ED}/usr/bin/${abiver}"
fi
use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
use tk || rm -r "${ED}/usr/bin/idle${PYVER}" "${libdir}/"{idlelib,tkinter,test/test_tk*} || die
dodoc Misc/{ACKS,HISTORY,NEWS}
if use examples; then
docinto examples
find Tools -name __pycache__ -exec rm -fr {} + || die
dodoc -r Tools
fi
insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
emake --no-print-directory -s -f - 2>/dev/null)
newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py
newconfd "${FILESDIR}/pydoc.conf" pydoc-${PYVER}
newinitd "${FILESDIR}/pydoc.init" pydoc-${PYVER}
sed \
-e "s:@PYDOC_PORT_VARIABLE@:PYDOC${PYVER/./_}_PORT:" \
-e "s:@PYDOC@:pydoc${PYVER}:" \
-i "${ED}/etc/conf.d/pydoc-${PYVER}" \
"${ED}/etc/init.d/pydoc-${PYVER}" || die "sed failed"
local -x EPYTHON=python${PYVER}
# if not using a cross-compiler, use the fresh binary
if ! tc-is-cross-compiler; then
local -x PYTHON=./python
local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${PWD}
else
local -x PYTHON=${EPREFIX}/usr/bin/${EPYTHON}
fi
echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# python-exec wrapping support
local pymajor=${PYVER%.*}
local scriptdir=${D}$(python_get_scriptdir)
mkdir -p "${scriptdir}" || die
# python and pythonX
ln -s "../../../bin/${abiver}" \
"${scriptdir}/python${pymajor}" || die
ln -s "python${pymajor}" "${scriptdir}/python" || die
# python-config and pythonX-config
# note: we need to create a wrapper rather than symlinking it due
# to some random dirname(argv[0]) magic performed by python-config
cat > "${scriptdir}/python${pymajor}-config" <<-EOF || die
#!/bin/sh
exec "${abiver}-config" "\${@}"
EOF
chmod +x "${scriptdir}/python${pymajor}-config" || die
ln -s "python${pymajor}-config" \
"${scriptdir}/python-config" || die
# 2to3, pydoc
ln -s "../../../bin/2to3-${PYVER}" \
"${scriptdir}/2to3" || die
ln -s "../../../bin/pydoc${PYVER}" \
"${scriptdir}/pydoc" || die
# idle
if use tk; then
ln -s "../../../bin/idle${PYVER}" \
"${scriptdir}/idle" || die
fi
}

BIN
dev-libs/Manifest.gz

2
dev-libs/libpipeline/libpipeline-1.5.3.ebuild

@ -9,7 +9,7 @@ SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs test"
RESTRICT="!test? ( test )"

2
dev-libs/xmlsec/xmlsec-1.2.31.ebuild

@ -10,7 +10,7 @@ S="${WORKDIR}/${PN}1-${PV}"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc x86"
IUSE="doc gcrypt gnutls libressl nss +openssl static-libs test"
RESTRICT="!test? ( test )"
REQUIRED_USE="|| ( gcrypt gnutls nss openssl )

BIN
dev-ml/Manifest.gz

0
dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2.ebuild → dev-ml/ocaml-gettext-stub/ocaml-gettext-stub-0.4.2-r1.ebuild

0
dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r2.ebuild → dev-ml/ocaml-gettext/ocaml-gettext-0.3.7-r3.ebuild

5
dev-ml/ocamlbuild/ocamlbuild-0.10.1.ebuild

@ -28,6 +28,11 @@ src_configure() {
NATDYNLINK=$(usex ocamlopt true false)
}
src_compile() {
emake src/ocamlbuild_config.cmo
default
}
src_install() {
emake CHECK_IF_PREINSTALLED=false DESTDIR="${D}" install
dodoc Changes

4
dev-perl/MIME-Charset/MIME-Charset-1.12.2.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Charset Informations for MIME"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="l10n_ja l10n_zh"
PATCHES=(
"${FILESDIR}/1.012-makefilepl.patch"

BIN
dev-perl/Manifest.gz

4
dev-perl/Unicode-LineBreak/Unicode-LineBreak-2019.1.0.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -11,7 +11,7 @@ inherit perl-module
DESCRIPTION="UAX #14 Unicode Line Breaking Algorithm"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND="dev-perl/MIME-Charset

BIN
dev-python/Manifest.gz

1
dev-python/aiorpcX/Manifest

@ -1,2 +1,3 @@
DIST aiorpcX-0.18.4.gh.tar.gz 65500 BLAKE2B 8c84ace1e2bc974e68702e25efe126f7f69dd7451f438ccd924ee8be3c0cccc5c9b3d116bf2d0a755b013bdfe61a398d856031970e5ae82b571af09551231bed SHA512 d4df1343f575af72dff31f1794485c0cbb5b6c31d6d933b07cc8375a1418ad4fb81b2649b3c60adaaeab75b7a5d959838accc38269373310eb07895acf4c9496
DIST aiorpcX-0.18.5.gh.tar.gz 65622 BLAKE2B 68b91e2cfb869c6971efb525fd35132c38ab9092362944fa77476bdb33f076f8415a079d97238e2c4ffbc6c9df596b468c2b6640389a11d1607b1a99aa8dc68d SHA512 5eb8417ce2ffb70208aec79e44ee0d8671c4cf86745f2d8061cf013c4ad17f83db68ed3ed43ef61df196e4ef073a21f9a4e22df46b00ce3054babf98dfcd1eaf
DIST aiorpcX-0.19.gh.tar.gz 65557 BLAKE2B 2bc9d809abbcdcf4dd0358e4bb734068ef76482dc711e1c4568db78e9ae2141e00cffb82c1c7d5976887e0561b6c4f1422063969cec23a886bb192c279fc57d7 SHA512 21d8a75a90233bb4caed804da39274516a7c852c8adf9eabcba928ff7ad9bf922760fdca2c040aad8242193cb23be512803615973256b35347b6c998cccd6632

28
dev-python/aiorpcX/aiorpcX-0.19.ebuild

@ -0,0 +1,28 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_8 )
inherit distutils-r1
DESCRIPTION="Generic async RPC implementation, including JSON-RPC"
HOMEPAGE="https://pypi.org/project/aiorpcX/
https://github.com/kyuupichan/aiorpcX/"
SRC_URI="https://github.com/kyuupichan/aiorpcX/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
BDEPEND="
test? (
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/uvloop[${PYTHON_USEDEP}]
dev-python/websockets[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest

1
dev-python/alembic/Manifest

@ -3,3 +3,4 @@ DIST alembic-1.5.0.tar.gz 1128073 BLAKE2B 067ebe7a8ee9b14fc782e0f5268990b07a8ae9
DIST alembic-1.5.1.tar.gz 1128404 BLAKE2B 70a2ce16adcf317c9376f77d8fa88e9eef3aa4090de5f933187f47df9fe6ac40a25df75d6c74c50c3be23dd3cef13d465eb2ddae4ea83558d01ebffd8effe241 SHA512 2fe490c46c253123333f0496fe28b59956efc78924f145b69ba95e5cb1cc091a72047c1aa5f8a85924ec59ad0aba2bfa143b9cad475dedc6f849c38695c08601
DIST alembic-1.5.2.tar.gz 1129660 BLAKE2B ab8800adb9a46e98adfed558a98328cbb06f53c4e1c47a7ac2f9f559e807aa81955295496404569aff53bee449213bc40232d070403e72098a27e789ea2a7b96 SHA512 35a00cee17d626aec55d6fe5b99dec58dfc52167a1ff1559cb69a45b9eccdaf1a0ceb58f8c2bd0d6e590ac2577fea32d82b412b5e706d0b9c183775d44253668
DIST alembic-1.5.3.tar.gz 1132015 BLAKE2B b3a1e54b365f1b60edbb2c3052d3a0b822e6f3dfe398d58ba3dc9504cf081476abf7af79dab2233629765185a7d1d69af7fabcdbe8328c54b39c81034e55ceab SHA512 0859b21b35854ddcb98f020a03659cdb4c56833a84f868db545aae51b62eddf3c4f76c0d00dd1d5fbd1259766b90f9f5b11e1f5e99db8d8752015aded12ca185
DIST alembic-1.5.4.tar.gz 1133598 BLAKE2B 88e1f40ef1935b90de789f1adc99edb5fc580c96a3e86a672cc9cfd694e79e940ba696efe560db3bf2878420a168382ed4342cbf1b8c7b9bbbf084532b8da402 SHA512 190f8fe96f18541fd62802e026e93c332f6046618cb89d4f9a6b478505742671d363de1161feeccd8873036a458743165080b5a0e2e55e1d0dd81e617c8cd4ad

33
dev-python/alembic/alembic-1.5.4.ebuild

@ -0,0 +1,33 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
HOMEPAGE="https://github.com/sqlalchemy/alembic"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="doc"
RDEPEND="
>=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
>=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
"
distutils_enable_tests pytest
python_install_all() {
use doc && local HTML_DOCS=( docs/. )
distutils-r1_python_install_all
}

1
dev-python/boto3/Manifest

@ -6,3 +6,4 @@ DIST boto3-1.16.61.tar.gz 345049 BLAKE2B 542dc15da302d9eeec31d99d2ee0c1229e4155b
DIST boto3-1.16.62.tar.gz 345246 BLAKE2B 26b88075e2d5a14b98a3868c4c8f6c7f13d4188c73f5c6884971fb7e3f61ec7f2f371d95f381150b630c94fb2d0d4abc8ba1cf48ecbbce44a23890e15a72ee45 SHA512 1dfa6f45caf57bffe33308bafc68ffa8180d34349a7d84862c6a105139e7ec5134c932fd0050e2ea4375a066724c002c52b6809f0f9fe2a831f48967f86dcc78
DIST boto3-1.16.63.tar.gz 345303 BLAKE2B e6877aeb3efd8018188eaf687b96e604f6b6b4910ae1a96d6f0d6db335f836d223f3f3216990a8a1eed3af91830ef8effd52f2c16148bb05dd4a6d69f777ef76 SHA512 25df3e65feb6c89c865021311d3c63bb52b5e48ef2e09813f548b1cc4c28b462969b4c3ec5192ab8b02ab9faef28f9ff042ea78f22d19a8df96f1211a9e1a763
DIST boto3-1.17.0.tar.gz 345964 BLAKE2B 09dbde33fe41e625e4fe9519d88b6d878024e14c594a845e3394347c5e9b28f2dae6a9e791af277fd2acd73dc8a3e96a7567f3cad3259b7370cfe7e8cb782111 SHA512 eb5b1feb310d44a6201846bead22c2c7e7862b753bcd0b02d91809b5df37842b07e74e507c322243133ffc0e3c64a36bf588e36e5b4066a2aa2a73f2316f768e
DIST boto3-1.17.1.tar.gz 346057 BLAKE2B 239be1c86bd080b93c134847a2fba77ca85fa44f6106a9b4129a793e1dad279996a2ec3bcaef06b95a7fcaf03095440382402ea77bf48c5711638c0670f25860 SHA512 c74b36a41e647e89bd71993f17414df9af99740fe49855267125141bbd283d1e6df29f52ffd2bfeeb7bd0ec004975d2a596a842afa84656dd9978948227fe9d3

56
dev-python/boto3/boto3-1.17.1.ebuild

@ -0,0 +1,56 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7